LAMPP-Version von Juni 2003 --> Update PHP 4.3.2 auf 4.3

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

LAMPP-Version von Juni 2003 --> Update PHP 4.3.2 auf 4.3

Postby berndh » 09. July 2005 17:59

Hallo zusammen,

vor 2 Jahren hab ich mit Hilfe von LAMPP einen kleinen Webserver installiert und möchte nun ein PHP-Update machen...

Das LAMPP-Paket habe ich auf eine SUSE 8.2 installiert; empfiehlt sich evtl. einfach nur ein PHP-Paket als Update zu installieren oder wie geht es am einfachsten ohne weitere Probleme zu produzieren?

Danke für eine Rückmeldung

Gruß
berndh
berndh
 
Posts: 3
Joined: 09. July 2005 17:52

Postby Wiedmann » 09. July 2005 18:24

Einzelne Komponenten kannst du nicht so einfach updaten. Wenn du ein neueres PHP brauchst, solltest du den ganzem XAMPP updaten.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

php-update

Postby berndh » 09. July 2005 19:15

Hallo und Danke für den Hinweis.

Wie finde ich denn die genaue Versionsbezeichnung von meiner LAMPP-Version raus und auf welche soll ich denn Updaten?

Danke
Bernd
berndh
 
Posts: 3
Joined: 09. July 2005 17:52

Postby Kristian Marcroft » 09. July 2005 23:12

Hallo,

schau mal im /opt/lampp Verzeichnis, dort sollte eine datei, .VERSION oder .version sein.
Dort steht die genaue version drin.

Aktuell ist 1.4.14

Wobei von deiner Version ein Update zu machen nicht Sinnvoll ist.
Am besten komplett neu installieren. vorher halt entsprechend die Daten sichern.

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

ältere XAMPP Versionen?

Postby berndh » 10. July 2005 12:16

Hallo,

da ich eigentlich nur auf eine PHP 4.3.11-Version updaten möchte, hätte ich gerne gewusst, ob es auch noch ältere XAMPP-Versionen irgendwo zum Download gibt;

ich will vermeiden, dass die Applikationen aufgrund zuvieler neuer Module nicht mehr funktionieren.

Danke für die Tipps
Bernd
berndh
 
Posts: 3
Joined: 09. July 2005 17:52

Postby Wiedmann » 10. July 2005 12:26

da ich eigentlich nur auf eine PHP 4.3.11-Version updaten möchte, hätte ich gerne gewusst, ob es auch noch ältere XAMPP-Versionen irgendwo zum Download gibt;

http://www.apachefriends.org/de/xampp-linux.html#52

Aber wie gesagt. Es wird immer nur der ganze XAMPP upgedated und nicht nur PHP.

ich will vermeiden, dass die Applikationen aufgrund zuvieler neuer Module nicht mehr funktionieren.

In dem Fall hätte deine Anwenung aber grade mit einem neuen PHP Probleme. Welche "Module" sollten sonst deine Anwendung betreffen? (Mal von ein paar Besonderheiten bei MySQL abgesehen.)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 3 guests